#include <iostream>
using namespace std ;
int main()
{
    int n;
    cin>>n;
    string mat[n-1][3];
    for (int i=0; i<n-1;i++){
        int a; int b; char c;
        cin>>a>>b>>c;
    }
    int t=1;
    cout<<t;
}